﻿using UnityEngine;
using System.Collections;

public class BoardMovementControl : MonoBehaviour {

	public float movementProgress = 0;
	public bool movementActive = false;	
	public int movementDirX;
	public int movementDirY;

	private Vector3 originalPos;

	void Start () {
	
	}
	
	void Update () {
	
		if (movementActive) {
			movementProgress += Time.deltaTime * 5.0f;
			if (movementProgress >= 1) {
				movementActive = false;
				movementProgress = 1;
			}
			transform.localPosition = originalPos + new Vector3(movementProgress * movementDirX, 0, movementProgress * movementDirY);
		}
	}

	public void Move(int dirX , int dirY) {

		movementDirX = dirX;
		movementDirY = dirY;
		movementActive = true;
		movementProgress = 0;
		originalPos = transform.localPosition;
	}
}
