﻿using UnityEngine;
using System.Collections;

public class Door : MonoBehaviour {

	public Key doorKey;
	public int posX;
	public int posY;
	public int doorIndex;
	public bool forTopLevel;
	public GameObject doorObject;

	void Start () {
	
	}
	
	void Update () {
	
		doorObject.renderer.enabled = IsDoorLocked ();
	}

	public void SetColor(Color color) {

		doorObject.renderer.material.color = color;
	}

	public bool IsDoorLocked() {

		return doorKey.doorLock.posX != doorKey.posX || doorKey.doorLock.posY != doorKey.posY;
	}
}
